import React from 'react';
import { StackProps } from '@mui/material/Stack';
import { CodeSnippetFunction, InputConfig, PreviewComponent } from '../../types/Playground.types';
export type PlaygroundProps = StackProps & {
    inputConfig: InputConfig;
    codeSnippet: CodeSnippetFunction;
    previewComponent: PreviewComponent;
};
export declare const Playground: React.FC<PlaygroundProps>;
export default Playground;
